Intermittent TEST-UNEXPECTED-TIMEOUT | netwerk/test/unit/test_protocolproxyservice.js | Test timed out

RESOLVED INCOMPLETE

Status

RESOLVED INCOMPLETE
a year ago
a year ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

From the log output, this test case is actually finished and called |do_test_finished|. Not sure why this process is not stopped after that.

>[task 2017-04-11T22:50:15.723976Z] 22:50:15     INFO -  TEST-PASS | netwerk/test/unit/test_protocolproxyservice.js | >isresolvable_callback - [isresolvable_callback : 949] 1234 == 1234
>[task 2017-04-11T22:50:15.725977Z] 22:50:15     INFO -  TEST-PASS | netwerk/test/unit/test_protocolproxyservice.js | isresolvable_callback - [isresolvable_callback : 950] "127.0.0.1" == "127.0.0.1"
>[task 2017-04-11T22:50:15.727786Z] 22:50:15     INFO -  (xpcshell/head.js) | test finished (1)
>[task 2017-04-11T22:50:15.729588Z] 22:50:15     INFO -  exiting test
>[task 2017-04-11T22:50:15.731307Z] 22:50:15     INFO -  <<<<<<<
>[task 2017-04-11T22:50:15.733125Z] 22:50:15     INFO -  xpcshell return code: None
>[task 2017-04-11T23:06:55.780963Z] 23:06:55     INFO - Automation Error: mozprocess timed out after 1000 seconds running ['/home/worker/workspace/build/venv/bin/python', '-u', '/home/worker/workspace/build/tests/xpcshell/runxpcshelltests.py', '--total-chunks', '8', '--this-chunk', '5', '--symbols-path=https://queue.taskcluster.net/v1/task/Yo1qTE9MRryYLcO-FpP6KQ/artifacts/public/build/target.crashreporter-symbols.zip', '--test-plugin-path=/home/worker/workspace/build/application/firefox/plugins', '--log-raw=/home/worker/workspace/build/blobber_upload_dir/xpcshell_raw.log', '--log-errorsummary=/home/worker/workspace/build/blobber_upload_dir/xpcshell_errorsummary.log', '--utility-path=tests/bin', '--xpcshell=/home/worker/workspace/build/application/firefox/xpcshell', '--manifest=tests/xpcshell/tests/xpcshell.ini']
>[task 2017-04-11T23:06:55.827729Z] 23:06:55    ERROR - timed out after 1000 seconds of no output
>[task 2017-04-11T23:06:55.828110Z] 23:06:55    ERROR - Return code: -9
>[task 2017-04-11T23:06:55.828343Z] 23:06:55    ERROR - No tests run or test summary not found
9 failures in 894 pushes (0.01 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 3
* mozilla-central: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1355686&startday=2017-04-10&endday=2017-04-16&tree=all
16 failures in 817 pushes (0.02 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 7
* autoland: 7
* try: 1
* graphics: 1

Platform breakdown:
* linux64: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1355686&startday=2017-04-17&endday=2017-04-23&tree=all
Given the test is done, this could likely be a harness issue, not a necko issue.
Component: Networking → XPCShell Harness
Product: Core → Testing
6 failures in 820 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* try: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1355686&startday=2017-05-29&endday=2017-06-04&tree=all
Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.